function outputHeader(request, response)
    trace = request:getTracer()

    cspHeader = response:getHeader("content-security-policy")
    if (cspHeader ~= nil) then 
        trace:debug("CSP01", "CSP-header set by backend, keep it as is (" .. cspHeader .. ")")
    else
        trace:debug("CSP02", "CSP-header not set by backend, we set the default AGOV one (" .. param_csp .. ")")
        response:setHeader("content-security-policy", param_csp)
    end

    if (param_report_only_csp ~= nil and param_report_only_csp ~= "none") then
        trace:debug("CSP03", "Additionl report only CSP-header set (" .. param_report_only_csp .. ")")
        response:setHeader("content-security-policy", param_csp)
    else
        trace:debug("CSP03", "No report only CSP-header set")
    end
end